<?php

declare(strict_types=1);

namespace Inpsyde\MultilingualPress\Framework\Http;

/**
 * Interface for all HTTP server request abstraction implementations.
 */
interface ServerRequest extends Request
{
    /**
     * Returns a server value.
     *
     * @param string $name
     * @return string
     */
    public function serverValue(string $name): string;
}
